Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Make your first authenticated calls and talk to an agent.
export HQ_TOKEN="hq_pat_..."
Verify your token
curl https://api.hq.zone/v1/api/me -H "Authorization: Bearer $HQ_TOKEN"
List your agents
curl https://api.hq.zone/v1/agents -H "Authorization: Bearer $HQ_TOKEN"
id
slug
Start a conversation
curl -X POST https://api.hq.zone/v1/api/conversations \ -H "Authorization: Bearer $HQ_TOKEN" \ -H "Content-Type: application/json" \ -d '{"agent_id":"<AGENT_ID>"}'
Send a message
curl -X POST https://api.hq.zone/v1/api/conversations/<CONVERSATION_ID>/messages \ -H "Authorization: Bearer $HQ_TOKEN" \ -H "Content-Type: application/json" \ -d '{"text":"Summarize our latest board deck."}'
202 Accepted
stream_url